org.eclipse.emf.spi.cdo

## Class DefaultCDOMerger.PerFeature.ManyValued.Element

- java.lang.Object
- - org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValued.PerSide<CDOFeatureDelta>
  - - org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValued.Element

- Enclosing class:
    DefaultCDOMerger.PerFeature.ManyValued

      public static final class DefaultCDOMerger.PerFeature.ManyValued.Element
      extends DefaultCDOMerger.PerFeature.ManyValued.PerSide<CDOFeatureDelta>

  A virtual list element to establish unique relations between ancestor, source and target sides.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Element(int ancestorIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAncestorIndex()`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValued.PerSide

      `get, set`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Element

          public Element(int ancestorIndex)

  - ### Method Detail

    - #### getAncestorIndex

          public int getAncestorIndex()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `DefaultCDOMerger.PerFeature.ManyValued.PerSide<CDOFeatureDelta>`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html